diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-vlan-pop.c b/gcc/testsuite/gcc.target/bpf/helper-skb-vlan-pop.c
index e99a0ac7802..4d5b347d6da 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-vlan-pop.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-vlan-pop.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -8,7 +10,7 @@ foo ()
   int ret;
   void *skb;
 
-  ret = __builtin_bpf_helper_skb_vlan_pop (skb);
+  ret = bpf_skb_vlan_pop (skb);
 }
 
 /* { dg-final { scan-assembler "call\t19" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-vlan-push.c b/gcc/testsuite/gcc.target/bpf/helper-skb-vlan-push.c
index dbe52aee1b8..1a43bd42e07 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-vlan-push.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-vlan-push.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   int16_t vlan_proto;
   uint16_t vlan_tci;
 
-  ret = __builtin_bpf_helper_skb_vlan_push (skb, vlan_proto, vlan_tci);
+  ret = bpf_skb_vlan_push (skb, vlan_proto, vlan_tci);
 }
 
 /* { dg-final { scan-assembler "call\t18" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skc-lookup-tcp.c b/gcc/testsuite/gcc.target/bpf/helper-skc-lookup-tcp.c
index bbc4b99a808..8ed2d46c813 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skc-lookup-tcp.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skc-lookup-tcp.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,8 +12,8 @@ foo ()
   uint32_t tuple_size;
   uint64_t netns, flags;
 
-  ret = __builtin_bpf_helper_skc_lookup_tcp (ctx, tuple,
-					     tuple_size, netns, flags);
+  ret = bpf_skc_lookup_tcp (ctx, tuple,
+			    tuple_size, netns, flags);
 }
 
 /* { dg-final { scan-assembler "call\t99" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sock-hash-update.c b/gcc/testsuite/gcc.target/bpf/helper-sock-hash-update.c
index bbb77ef9ad5..81ff4dd7e8b 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sock-hash-update.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sock-hash-update.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *skops, *map, *key;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_sock_hash_update (skops, map, key,
+  ret = bpf_sock_hash_update (skops, map, key,
 					       flags);
 }
 
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sock-map-update.c b/gcc/testsuite/gcc.target/bpf/helper-sock-map-update.c
index 301e59e975b..fbb5d7556d4 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sock-map-update.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sock-map-update.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *skops, *map, *key;
   uint64_t flags;
   
-  ret = __builtin_bpf_helper_sock_map_update (skops, map, key,
+  ret = bpf_sock_map_update (skops, map, key,
 					      flags);
 }
 
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sock-ops-cb-flags-set.c b/gcc/testsuite/gcc.target/bpf/helper-sock-ops-cb-flags-set.c
index 2056312bcf3..4efd69a5543 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sock-ops-cb-flags-set.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sock-ops-cb-flags-set.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *bpf_sock;
   int argval;
   
-  ret = __builtin_bpf_helper_sock_ops_cb_flags_set (bpf_sock,
+  ret = bpf_sock_ops_cb_flags_set (bpf_sock,
 						    argval);
 }
 
diff --git a/gcc/testsuite/gcc.target/bpf/helper-spin-lock.c b/gcc/testsuite/gcc.target/bpf/helper-spin-lock.c
index 4178914ae13..8358e88fd9e 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-spin-lock.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-spin-lock.c
@@ -1,13 +1,15 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
 {
   void *lock;
 
-  __builtin_bpf_helper_spin_lock (lock);
+  bpf_spin_lock (lock);
 }
 
 /* { dg-final { scan-assembler "call\t93" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-spin-unlock.c b/gcc/testsuite/gcc.target/bpf/helper-spin-unlock.c
index c2416b66994..400695f7aae 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-spin-unlock.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-spin-unlock.c
@@ -1,13 +1,15 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
 {
   void *lock;
 
-  __builtin_bpf_helper_spin_unlock (lock);
+  bpf_spin_unlock (lock);
 }
 
 /* { dg-final { scan-assembler "call\t94" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-strtol.c b/gcc/testsuite/gcc.target/bpf/helper-strtol.c
index e15b6d6b968..53830126d45 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-strtol.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-strtol.c
@@ -1,7 +1,9 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
 #include <stddef.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -12,7 +14,7 @@ foo ()
   uint64_t flags;
   size_t buf_len;
   
-  ret = __builtin_bpf_helper_strtol (buf, buf_len, flags, &res);
+  ret = bpf_strtol (buf, buf_len, flags, &res);
 }
 
 /* { dg-final { scan-assembler "call\t105" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-strtoul.c b/gcc/testsuite/gcc.target/bpf/helper-strtoul.c
index bc0d77656d2..f648a2bb54c 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-strtoul.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-strtoul.c
@@ -1,7 +1,9 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
 #include <stddef.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -12,7 +14,7 @@ foo ()
   uint64_t flags;
   size_t buf_len;
   
-  ret = __builtin_bpf_helper_strtoul (buf, buf_len, flags, &res);
+  ret = bpf_strtoul (buf, buf_len, flags, &res);
 }
 
 /* { dg-final { scan-assembler "call\t106" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-current-value.c b/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-current-value.c
index 803584171dd..55a31e4f55c 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-current-value.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-current-value.c
@@ -1,7 +1,9 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
 #include <stddef.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,8 +12,7 @@ foo ()
   void *ctx, *buf;
   size_t buf_len;
   
-  ret = __builtin_bpf_helper_sysctl_get_current_value (ctx, buf,
-						       buf_len);
+  ret = bpf_sysctl_get_current_value (ctx, buf, buf_len);
 }
 
 /* { dg-final { scan-assembler "call\t102" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-name.c b/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-name.c
index a748b4bf911..bacb288c4a9 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-name.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-name.c
@@ -1,7 +1,9 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
 #include <stddef.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -11,8 +13,7 @@ foo ()
   size_t buf_len;
   uint64_t flags;
   
-  ret = __builtin_bpf_helper_sysctl_get_name (ctx, buf,
-					      buf_len, flags);
+  ret = bpf_sysctl_get_name (ctx, buf, buf_len, flags);
 }
 
 /* { dg-final { scan-assembler "call\t101" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-new-value.c b/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-new-value.c
index 2c4835100c9..5ad36442280 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-new-value.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sysctl-get-new-value.c
@@ -1,7 +1,9 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
 #include <stddef.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,8 +12,7 @@ foo ()
   void *ctx, *buf;
   size_t buf_len;
   
-  ret = __builtin_bpf_helper_sysctl_get_new_value (ctx, buf,
-						   buf_len);
+  ret = bpf_sysctl_get_new_value (ctx, buf, buf_len);
 }
 
 /* { dg-final { scan-assembler "call\t103" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sysctl-set-new-value.c b/gcc/testsuite/gcc.target/bpf/helper-sysctl-set-new-value.c
index fc3780da7e2..2b3b3af6355 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sysctl-set-new-value.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sysctl-set-new-value.c
@@ -1,7 +1,9 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
 #include <stddef.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,8 +12,7 @@ foo ()
   void *ctx, *buf;
   size_t buf_len;
   
-  ret = __builtin_bpf_helper_sysctl_set_new_value (ctx, buf,
-						   buf_len);
+  ret = bpf_sysctl_set_new_value (ctx, buf, buf_len);
 }
 
 /* { dg-final { scan-assembler "call\t104" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-tail-call.c b/gcc/testsuite/gcc.target/bpf/helper-tail-call.c
index 618064f4aea..0f35b00a786 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-tail-call.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-tail-call.c
@@ -1,14 +1,17 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
 {
+  int ret;
   void *ctx, *prog_array_map;
   uint32_t index;
 
-  __builtin_bpf_helper_tail_call (ctx, prog_array_map, index);
+  ret = bpf_tail_call (ctx, prog_array_map, index);
 }
 
 /* { dg-final { scan-assembler "call\t12" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-tcp-check-syncookie.c b/gcc/testsuite/gcc.target/bpf/helper-tcp-check-syncookie.c
index 95846c6f2d7..bada09f3546 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-tcp-check-syncookie.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-tcp-check-syncookie.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,9 +11,9 @@ foo ()
   void *sk, *iph, *th;
   uint32_t iph_len, th_len;
   
-  ret = __builtin_bpf_helper_tcp_check_syncookie (sk, iph,
-						  iph_len,
-						  th, th_len);
+  ret = bpf_tcp_check_syncookie (sk, iph,
+				 iph_len,
+				 th, th_len);
 }
 
 /* { dg-final { scan-assembler "call\t100" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-tcp-sock.c b/gcc/testsuite/gcc.target/bpf/helper-tcp-sock.c
index ab8f2de05d8..cd6d995f5bf 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-tcp-sock.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-tcp-sock.c
@@ -1,13 +1,15 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
 {
   void *ret, *sk;
 
-  ret = __builtin_bpf_helper_tcp_sock (sk);
+  ret = bpf_tcp_sock (sk);
 }
 
 /* { dg-final { scan-assembler "call\t96" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-trace-printk.c b/gcc/testsuite/gcc.target/bpf/helper-trace-printk.c
index fcf9d5c9e50..135ae295d84 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-trace-printk.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-trace-printk.c
@@ -1,4 +1,7 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
+
+#include <bpf-helpers.h>
 
 char *map () { return 0; }
 
@@ -7,7 +10,7 @@ foo ()
 {
   int ret;
 
-  ret = __builtin_bpf_helper_trace_printk ("foo %d %d", sizeof ("foo %d %d"), 10, 20);
+  ret = bpf_trace_printk ("foo %d %d", sizeof ("foo %d %d"), 10, 20);
 }
 
 /* { dg-final { scan-assembler "call\t6" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-head.c b/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-head.c
index 3dce5434535..352d9d68023 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-head.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-head.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *xdp_md;
   int delta;
   
-  ret = __builtin_bpf_helper_xdp_adjust_head (xdp_md, delta);
+  ret = bpf_xdp_adjust_head (xdp_md, delta);
 }
 
 /* { dg-final { scan-assembler "call\t44" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-meta.c b/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-meta.c
index 38a13748737..ef5da4b10e2 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-meta.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-meta.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *xdp_md;
   int delta;
   
-  ret = __builtin_bpf_helper_xdp_adjust_meta (xdp_md, delta);
+  ret = bpf_xdp_adjust_meta (xdp_md, delta);
 }
 
 /* { dg-final { scan-assembler "call\t54" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-tail.c b/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-tail.c
index 319b65a233d..db55168144b 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-tail.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-xdp-adjust-tail.c
@@ -1,6 +1,7 @@
 /* { dg-do compile } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +10,7 @@ foo ()
   void *xdp_md;
   int delta;
 
-  ret = __builtin_bpf_helper_xdp_adjust_tail (xdp_md, delta);
+  ret = bpf_xdp_adjust_tail (xdp_md, delta);
 }
 
 /* { dg-final { scan-assembler "call\t65" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/skb-ancestor-cgroup-id.c b/gcc/testsuite/gcc.target/bpf/skb-ancestor-cgroup-id.c
index ce193ec14bf..8e88c93cac9 100644
--- a/gcc/testsuite/gcc.target/bpf/skb-ancestor-cgroup-id.c
+++ b/gcc/testsuite/gcc.target/bpf/skb-ancestor-cgroup-id.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *skb;
   int ancestor_level;
   
-  ret = __builtin_bpf_helper_skb_ancestor_cgroup_id (skb,
+  ret = bpf_skb_ancestor_cgroup_id (skb,
 						     ancestor_level);
 }
 

